c     Copyright (C) 2009 Vincent Eymet
c
c     "satellite" is free software; you can redistribute it and/or modify
c     it under the terms of the GNU General Public License as published by
c     the Free Software Foundation; either version 3, or (at your option)
c     any later version.

c     This software is distributed in the hope that it will be useful,
c     but WITHOUT ANY WARRANTY; without even the implied warranty of
c     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
c     GNU General Public License for more details.

c     You should have received a copy of the GNU General Public License
c     along with the present software; if not, see <http://www.gnu.org/licenses/>
c
      subroutine write_results(Nb_gas,
     &     lambda_gas_lo,lambda_gas_hi,
     &     Pc,Pc_tot,inc_Pc,inc_Pc_tot)
      implicit none
      include 'max.inc'
      include 'formats.inc'
c
c     Purpose: to write result files
c
c     Inputs:
c       + Nb_gas: number of gas narrowband spectral intervals
c       + lambda_gas_lo: lower limits of gas spectral narrowbands
c       + lambda_gas_hi: higher limits of gas spectral narrowbands
c       + Pc: power received by the satellite (Watts per square meter of detector, in each narrowband)
c       + Pc_tot: total power received by the detector (Watts per square meter of detector)
c       + inc_Pc and inc_Pc_tot: uncertainties over Pc and Pc_tot
c

c     input
      integer Nb_gas
      double precision lambda_gas_lo(1:Nb_gas_mx)
      double precision lambda_gas_hi(1:Nb_gas_mx)
      double precision Pc(1:Nb_gas_mx),Pc_tot
      double precision inc_Pc(1:Nb_gas_mx),inc_Pc_tot
c     temp
      integer band
      character*100 resfile
      integer strlen
      character*100 label
      label='subroutine write_results'

      resfile='./results/detector.txt'
      open(10,file=resfile(1:strlen(resfile)))
      write(10,10) 'Number of narrowband intervals:'
      write(10,*) Nb_gas
      write(10,10) 'Narrowbands lower limits:'
      write(10,50) (lambda_gas_lo(band),band=1,Nb_gas)
      write(10,10) 'Narrowbands higher limits:'
      write(10,50) (lambda_gas_hi(band),band=1,Nb_gas)
      write(10,10) 'Power signal (W/m):'
      write(10,50) (Pc(band),band=1,Nb_gas)
      write(10,10) 'uncertainties (W/m):'
      write(10,50) (inc_Pc(band),band=1,Nb_gas)
      write(10,10) 'Total power (W/m):'
      write(10,50) Pc_tot
      write(10,10) 'uncertainty (W/m):'
      write(10,50) inc_Pc_tot
      close(10)

      write(*,*) 'Results saved to file:'
      write(*,*) resfile(1:strlen(resfile))

      return
      end
